# $Id: Makefile.in,v 1.5 2008/10/30 23:34:49 tom Exp $
#
# Makefile for the cli directory.
#
SHELL		= /bin/sh

prefix		= /usr/local
exec_prefix	= ${prefix}

srcdir		= .


CC		= cc
RM		= rm -f

LIBS		= -lcdk -lncurses  

LIBTOOL		=  
LIBTOOL_CLEAN	= 
LIBTOOL_LINK	= ${CC}
LINK		= $(LIBTOOL_LINK)

x		= 
o		= .o

CFLAGS		= -O2 -pipe -fno-strict-aliasing 
CPPFLAGS	= -DHAVE_CONFIG_H -I../include -I$(srcdir)/../include -I.   -D_BSD_TYPES -D__BSD_VISIBLE -D_POSIX_C_SOURCE=200112L -D_XOPEN_SOURCE=600
LDFLAGS		= -L..  -Wl,-rpath=/usr/lib:/usr/local/lib

BINS	= \
	cdkalphalist$x \
	cdkcalendar$x \
	cdkdialog$x \
	cdkentry$x \
	cdkfselect$x \
	cdkitemlist$x \
	cdklabel$x \
	cdkmatrix$x \
	cdkmentry$x \
	cdkradio$x \
	cdkscale$x \
	cdkscroll$x \
	cdkselection$x \
	cdkslider$x \
	cdktemplate$x \
	cdkviewer$x

LINKIT	= $(LINK) $(CFLAGS) $(CPPFLAGS) $? -o $@ $(LDFLAGS) $(LIBS)

all : $(BINS)

cdkalphalist$x :	cdkalphalist.c	; $(LINKIT)
cdkcalendar$x :		cdkcalendar.c	; $(LINKIT)
cdkdialog$x :		cdkdialog.c	; $(LINKIT)
cdkentry$x :		cdkentry.c	; $(LINKIT)
cdkfselect$x :		cdkfselect.c	; $(LINKIT)
cdkitemlist$x :		cdkitemlist.c	; $(LINKIT)
cdklabel$x :		cdklabel.c	; $(LINKIT)
cdkmatrix$x :		cdkmatrix.c	; $(LINKIT)
cdkmentry$x :		cdkmentry.c	; $(LINKIT)
cdkradio$x :		cdkradio.c	; $(LINKIT)
cdkscale$x :		cdkscale.c	; $(LINKIT)
cdkscroll$x :		cdkscroll.c	; $(LINKIT)
cdkselection$x :	cdkselection.c	; $(LINKIT)
cdkslider$x :		cdkslider.c	; $(LINKIT)
cdktemplate$x :		cdktemplate.c	; $(LINKIT)
cdkviewer$x :		cdkviewer.c	; $(LINKIT)
#
# Standard clean directives.
#
clean::
	- $(LIBTOOL_CLEAN) $(RM) *.o core $(BINS)

distclean:: clean
	$(RM) Makefile
